ELRedirectTagBeanInfo (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.logic
Class ELRedirectTagBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          org.apache.strutsel.taglib.logic.ELRedirectTagBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class ELRedirectTagBeanInfo

extends SimpleBeanInfo

This is the `BeanInfo` descriptor for the `org.apache.strutsel.taglib.logic.ELRedirectTag` class. It is needed to override the default mapping of custom tag attribute names to class attribute names.

This is because the value of the unevaluated EL expression has to be kept separately from the evaluated value, which is stored in the base class. This is related to the fact that the JSP compiler can choose to reuse different tag instances if they received the same original attribute values, and the JSP compiler can choose to not re-call the setter methods, because it can assume the same values are already set.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ELRedirectTagBeanInfo()`

Method Summary
`PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELRedirectTagBeanInfo

    public ELRedirectTagBeanInfo()

Method Detail

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `SimpleBeanInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.